Changelog for: GameSpy Transport SDK 2
--------------------------------------------------------

DATE        VERSION  BY   TYPE     DESCRIPTION
----------  -------  ---  -------  ---------------------------------------------------------
12-12-2007  2.09.00  RMV  RELEASE  Released to Developer Site
12-07-2007  2.08.03  SAH  OTHER    Fixed VC6 projects missing dependencies
12-07-2007  2.08.02  SN   FIX      Added check to sample app for PS3 maximum send size
11-27-2007  2.08.01  SAH  CLEANUP  Moved extern "c" block below includes to prevent linker errors
08-06-2007  2.08.00  RMV  RELEASE  Released to Developer Site
07-11-2007  2.07.03  RMV  FIX      Fixed gt2testc Project files to get rid of Unicode warnings and fixed other compiler warnings
06-07-2007  2.07.02  SN   RELEASE  Released to Developer Site
04-16-2007  2.07.02  SN   CLEANUP  Put back a removed calling convention
			2.07.02  SN   CLEANUP  Added a check to the message handler to pass messages to unrecognized message callback
			                       if a GT2Connection has not been complete.
01-16-2007  2.07.01  DES  FEATURE  Added X360 support
12-15-2006  2.07.00  MJW  RELEASE  Released to Developer Site
12-04-2006  2.06.78  SN   FIX      Added some checks to message size in test application for revolution
12-04-2006  2.06.77  SN   FIX      Changed the gti2MacToIP and gti2IpToMac functions to be public functions
11-10-2006  2.06.76  JR   RELEASE  Limited release
10-23-2006  2.06.76  DES  RELEASE  Limited release
10-05-2006  2.06.76  SAH  FIX      Updated MacOSX Makefile
09-28-2006  2.06.75  SAH  FIX      Fixed PS3 project to work with PS3 095.00x SDK; changed included libaries in linker input.
09-07-2006  2.06.74  DES  FEATURE  Added support for string arrays to gt2Encode
                     DES  FIX      Fixed potential to read past the end of a truncated buffer when decoding strings
08-24-2006  2.06.73  SAH  FIX      Fixed VC7 Project file
08-15-2006  2.06.72  SAH  FIX      Fixed VDP assertion in gt2main.c (call to gt2Send)
08-04-2006  2.06.71  SAH  FIX      Changed call in gt2proxy.c from ctime to gsiSecondsToString
08-02-2006  2.06.70  SAH  RELEASE  Releasing to developer site
07-31-2006  2.06.70  SAH  FIX      Fixed PS3 project file - added post-build step to create *.SELF for execution
07-25-2006  2.06.69  SAH  FIX      Fixed NITRO project, include for crt0.o now above others so it add correct file
07-24-2006  2.06.68  SAH  FIX      Removed #ifdef _PS3 for socket calls (changed platformSocket.h to typecast calls)
07-06-2006  2.06.67  SAH  FIX      Fixed PSP project file to not explicitly include the PSP linker file
06-30-2006  2.06.66  SAH  FIX      Fixed NITRO project & linker command file (to work with CW 2.0/NitroSDK 3.1)
                     SAH  FIX      Fixed Linux makefile
06-06-2006  2.06.65  MJ   FEATURE  Added Adhoc Support for PSP.
05-31-2006  2.06.64  SAH  RELEASE  Releasing to developer site
                     SAH  FIX      Fixed Linux makefile
05-30-2006  2.06.63  SAH  FIX      Fixed PS3 projects to work with PS3(084_001 SDK)
05-25-2006  2.06.62  SAH  FIX      Changed PSP project warning levels
05-24-2006  2.06.61  SAH  FIX      Added (socklen_t) typecast for PS3 warnings to gt2socket.c
05-19-2006  2.06.60  SAH  FIX      Added gsTestMain.c to nitro CodeWarrior project
05-19-2006  2.06.59  SAH  FIX      Added GS_STATIC_CALLBACK in front of 3 compare functions for __fastcall support
05-15-2006  2.06.58  SAH  FIX      Added "PS3 Release" configuration to project
05-05-2006  2.06.57  SAH  FIX      Fixed the gt2action.dsp project - needed to include a few encryption files for http
04-27-2006  2.06.56  MJ   FEATURE  Added gtEncodedMessageTypeSet
04-25-2006  2.06.55  SAH  RELEASE  Releasing to developer site
04-24-2006  2.06.55  SAH  FIX      Added function prototypes, fixed/added typecasts and Nitro project files
04-20-2006  2.06.54  SAH  FIX      Commented out unused variables, break; statements
                          FIX      Commented out unncessary checks (if unsigned int > 0)
04-20-2006  2.06.53  SAH  FIX      Added _PS3 wrapper typecast for socket calls
04-14-2006  2.06.52  SAH  FIX      few more typecasts in gt2memcpy calls (forgot to do PC ones)
04-14-2006  2.06.51  SAH  FIX      Added some typecasts in gt2memcpy calls to get rid of warnings
01-27-2006  2.05.50  SN   RELEASE  Releasing to developer site
01-27-2006  2.05.50  SN   FIX      Updated test_main define for PSP 
                     SN   FIX      PSP and PS2 only use messages smaller than 8K
                     SN   OTHER    Added psp prodg project and solution to sgv
01-26-2006  2.05.49  SN   FIX      Force gt2IPToHostInfo to return NULL for PSP since PSP doesn't have a gethostbyaddr
01-11-2006  2.05.49  SN   FIX      Added platform checks to socket error handlers
                     SN   FIX      Added visual studio .net project and solution           
01-11-2006  2.05.48  SN   FIX      updated callling convention to only be WIN32
12-20-2005  2.05.47  SN   OTHER    Cleaned up and added missing common code to projects if needed
12-20-2005  2.05.46  SN   FIX      Fixed VDP specific changes that caused messages to be truncated
                                   Removed VDP checks in parts of code that previously had them
12-19-2005  2.05.45  SN   FIX      Added preprocessor directive around code creating a VDP socket
                                   Changed buffer offset to use a constant
12-07-2005  2.05.44  DDW  FEATURE  Added Win64 build support
12-06-2005  2.05.43  SN   FEATURE  Added Xbox VDP support
11-17-2005  2.05.42  DES  FIX      Updated Nitro Makefile.
11-14-2005  2.05.41  DES  FIX      Updated the OSX Makefile.
10-11-2005  2.05.40  SN   FIX      Updated gt2test dsp to have new common code files gsassert and gsmemory
09-21-2005  2.05.39  DES  FEATURE  Updated DS support
                     DES  FIX      Updated to handle additional UDP sending errors
                     DES  FIX      Updated OSX Makefile
09-12-2005  2.05.38  SN   FIX      Fixed unhandled socket error code
07-28-2005  2.05.37  SN   RELEASE  Releasing to developer site.
07-28-2005  2.05.37  SN   FIX      Changed IP address to use local host for gt2testc
06-03-2005  2.05.36  SN   RELEASE  Releasing to developer site.
05-05-2005  2.05.36  BED  FIX      Updated project files to use new common folder.
05-04-2005  2.05.35  SN   FIX      Changes for XBox platform
05-03-2005  2.05.34  SN   FIX      Removed deprecated MFC code for VS .NET project
                                   And fixed implicit cast performed in a callback
                     SN   OTHER    Created Visual Studio .NET projects
04-28-2005  2.05.33  SN   RELEASE  Releasing to developer site.
04-27-2005  2.05.33  DES  RELEASE  Limited release to Nintendo DS developers.
04-25-2005  2.05.33  DES  FIX      Limit the Nitro to a 1500 byte message buffer.
                     DES  CLEANUP  Disable Win32 linker warning.
04-19-2005  2.05.32  DES  FEATURE  Added the ability to send raw UDP datagrams through a GT2Socket.
                                   This feature can also be used to send broadcast datagrams.
04-15-2005  2.05.31  DES  FIX      XBox fix.
04-08-2005  2.05.30  DES  FEATURE  Changes for XBox support.
04-04-2005  2.05.29  SN   RELEASE  Release to developer site.
03-14-2005  2.05.29  DES  FIX      Fixed buffering multiple copies of incoming reliable messages
                          FIX      Fixed detection of incoming reliable message buffer overflow
03-14-2005  2.05.28  DES  FEATURE  Nintendo DS support
01-27-2003  2.05.27  DES  FIX      Fixed custom SN sendto and moved it to nonport
01-03-2005  2.05.26  SN   FIX      Added const qualifiers to unmodified formal function parameters
09-23-2004  2.05.25  DES  FIX      Changed IPs that were using unsigned long to unsigned int.
                     DES  FIX      Changed times that were using unsigned long to gsi_time.
                     DES  FIX      Sockets now correctly bind to a provided local IP when created.
09-17-2004  2.05.24  DES  FEATURE  Added functions for confirming receipt of reliable messages.
09-16-2004  2.05.23  SN   RELEASE  Releasing to developer site.
08-27-2004  2.05.23  DES  CLEANUP  General Unicode cleanup
                     DES  CLEANUP  Removed MacOS style includes
                     DES  CLEANUP  Updated Win32 project configurations
                     DES  CLEANUP  Fixed warnings under OSX
                     DES  FEATURE  Added OSX Makefile
08-25-2004  2.05.22  DES  FEATURE  Added OSX makefile
08-16-2004  2.05.22  SN   FEATURE  Updated gt2hostmig and gt2nat to use QR2 instead of legacy Q & R
08-05-2004  2.05.21  SN   RELEASE  Releasing to developer site.
07-20-2004  2.05.21  SN   FIX	   Updated code with explicit casts to remove implicit cast error 
                                   when compiling at highest level and warnings treated as errors.
06-18-2004  2.05.20  BED  RELEASE  Releasing to developer site.
06-18-2004  2.05.20  DES  FIX      Checking for trying to connect to an invalid IP range.
10-21-2003  2.05.19  BED  RELEASE  Releasing to developer site.  (UNIQUE NICK AND UNICODE SUPPORT)
10-21-2003  2.05.19  BED  FIX      Added #ifdef because SN_SYSTEMS doesn't support EHOSTDOWN  
10-09-2003  2.05.18  BED  FIX      Switched to gsi_time type instead of unsinged long for PS2 compatibility
07-25-2003  2.05.17  DES  FIX      Ignoring EHOSTDOWN sendto error.
07-24-2003  2.05.16  DES  RELEASE  Releasing to developer site.
07-18-2003  2.05.16  BED  FEATURE  Added CodeWarrior (PS2) sample project file.
                     BED  CLEANUP  General cleanup to remove CodeWarrior warnings.
07-17-2003  2.05.15  DES  CLEANUP  Cleaned up the PS2 Makefile, it now uses Makefile.commmon.
07-16-2003  2.05.14  DES  FIX      Changed a few __mips64 checks to _PS2 checks.
                     BED  FEATURE  Added ProDG sample project files.
07-11-2003  2.05.13  DES  RELEASE  Releasing to developer site.
05-12-2003  2.05.13  DES  FIX      Fixed a crashing bug that could occur on socket errors.
05-09-2003  2.05.12  DES  CLEANUP  Removed Dreamcast support.
03-24-2003  2.05.11  DES  FIX      Fixed assumption that messages passed to callbacks were always NUL terminated.
03-03-2003  2.05.10  DES  CLEANUP  General cleanup to remove warnings.
02-05-2003  2.05.09  DES  RELEASE  Releasing to developer site.
02-05-2003  2.05.09  DES  CLEANUP  Switched to use the common code CanReceiveOnSocket and CanSendOnSocket.
12-19-2002  2.05.08  DES  RELEASE  Releasing to developer site.
12-19-2002  2.05.08  DES  CLEANUP  Removed assert.h includes.
12-16-2002  2.05.07  DES  OTHER    Moved handling of SN Systems lack of support for gethostbyaddr() to nonport.
                          CLEANUP  Removed call to GOAClearSocketError.
12-13-2002  2.05.06  DES  FEATURE  Added PS2 eenet stack support.
11-22-2002  2.05.05  DES  RELEASE  Releasing to developer site.
11-20-2002  2.05.05  DES  CLEANUP  Cleaned up code to remove PS2 compiler warnings.
11-18-2002  2.05.04  DES  RELEASE  Release to developer site.
11-18-2002  2.05.04  DES  FIX      Fixed alignment bug in gtEncodedMessageType.
11-14-2002  2.05.03  DES  OTHER    Removed BLOCKING_SOCKETS define from PS2 makefile, leftover from GT
11-14-2002  2.05.02  DES  FIX      Fixed gt2testc to stop sending messages at the correct time
11-13-2002  2.05.01  DES  FIX      Resends an ack if a duplicate message is received
09-25-2002  2.05.00  DDW  OTHER    Changelog started
